Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.dom
Class XDBDocumentType

`java.lang.Object
oracle.xdb.dom.XDBNode
oracle.xdb.dom.XDBDocumentType`

All Implemented Interfaces:
  DocumentType, Node

Deprecated. as of Oracle Database 11g release 1, use oracle.xml.parser.v2.DTD

      public class XDBDocumentType

extends XDBNode
implements DocumentType

This class implements the W3C Notation interface

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`XDBEntity` `findEntity(java.lang.String name)` Deprecated. Finds the entity node of the document type based on the given name.
`XDBNotation` `findNotation(java.lang.String name)` Deprecated. Finds the entity node of the document type based on the given name.
`NamedNodeMap` `getEntities()` Deprecated. Returns the entity map of the document type node
`java.lang.String` `getInternalSubset()` Deprecated. Returns the internal subset.
`java.lang.String` `getName()` Deprecated. Returns the name map of the document type node
`NamedNodeMap` `getNotations()` Deprecated. Returns the notation map of the document type node
`java.lang.String` `getPublicId()` Deprecated. Returns the public id of the document type node
`java.lang.String` `getSystemId()` Deprecated. Returns the system id of the entity node

Methods inherited from class oracle.xdb.dom.XDBNode

`appendChild, cloneNode, close, compareDocumentPosition, equals, finalize, getAttributes, getBaseURI, getChildNodes, getExpandedName, getFeature, getFirstChild, getInputStream, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveType, getQualifiedName, getSchemaNode, getTextContent, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isDefaultNamespace, isEqualNode, isNilled, isSameNode, isSchemaBased, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setNodeXob, setOwner, setPrefix, setTextContent, setUserData, setXobCstate, toCState, toString, validateName, write, writeToOutputStream`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getNotations

    public NamedNodeMap getNotations()

  Deprecated.
  Returns the notation map of the document type node
  Specified by:
    `getNotations` in interface `DocumentType`
  Returns:
    the notation name of the document type node

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name map of the document type node
  Specified by:
    `getName` in interface `DocumentType`
  Returns:
    the name map of the document type node

### getEntities

    public NamedNodeMap getEntities()

  Deprecated.
  Returns the entity map of the document type node
  Specified by:
    `getEntities` in interface `DocumentType`
  Returns:
    the entity map of the document type node

### getInternalSubset

    public java.lang.String getInternalSubset()

  Deprecated.
  Returns the internal subset. Currently always return null.
  Specified by:
    `getInternalSubset` in interface `DocumentType`
  Returns:
    the internal subset

### getPublicId

    public java.lang.String getPublicId()

  Deprecated.
  Returns the public id of the document type node
  Specified by:
    `getPublicId` in interface `DocumentType`
  Returns:
    the public id of the document type node

### getSystemId

    public java.lang.String getSystemId()

  Deprecated.
  Returns the system id of the entity node
  Specified by:
    `getSystemId` in interface `DocumentType`
  Returns:
    the system id of the entity node

### findEntity

    public XDBEntity findEntity(java.lang.String name)

  Deprecated.
  Finds the entity node of the document type based on the given name.
  Returns:
    the entity node of the document type

### findNotation

    public XDBNotation findNotation(java.lang.String name)

  Deprecated.
  Finds the entity node of the document type based on the given name.
  Returns:
    the entity node of the document type

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.